GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::VerifyDetailsDialog Class Reference
Inheritance diagram for GpgFrontend::UI::VerifyDetailsDialog:
Collaboration diagram for GpgFrontend::UI::VerifyDetailsDialog:

## Public Member Functions
| VerifyDetailsDialog (QWidget *parent, GpgError error, GpgVerifyResult result)
| Construct a new Verify Details Dialog object. More...

## Private Slots
void | slot_refresh ()

## Private Attributes
QHBoxLayout * | main_layout_
QWidget * | m_vbox_ {}
QByteArray * | input_data_ {}
QByteArray * | input_signature_ {}
QDialogButtonBox * | button_box_ {}
GpgVerifyResult | m_result_
gpgme_error_t | error_

## Constructor & Destructor Documentation

## ◆ VerifyDetailsDialog()

GpgFrontend::UI::VerifyDetailsDialog::VerifyDetailsDialog | ( | QWidget * | parent,
|  | GpgError | error,
|  | GpgVerifyResult | result
| ) |  |
| explicit

Construct a new Verify Details Dialog object.

Parameters

  parent |
  error |
  result |

The documentation for this class was generated from the following files:

- src/ui/dialog/details/VerifyDetailsDialog.h
- src/ui/dialog/details/VerifyDetailsDialog.cpp